Update an L4 Load Balancer
To make changes in the balancer's configuration, perform a PUT request to the /v1/load_balancers/l4/{id} endpoint. Modified parameters have to be specified in the request.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
id | stringA unique identifier of a balancer. |
Request Body
| Field | Details |
|---|---|
name? | stringGive a new name to a balancer. |
store_logs? | booleanDefault: If you need the storing logs option, fill this parameter in with the |
store_logs_region_id? | integerA cloud region ID of the cloud storage for logs. You can list all region IDs in the relevant request. |
cluster_id? | stringA unique identifier of a dedicated Load Balancer cluster. A Load Balancer will move to the specified dedicated cluster. A request to list cluster IDs. If |
shared_cluster? | booleanIf it has the |
array<object>A vhost zone is a forwarding rule to be applied to a balancer. | |
array<object>An upstream zone is a group of upstream servers with predefined parameters. | |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
new_external_ips_count? | integerFill in the number of new external IP addresses for the balancer. |
delete_external_ips? | array<string>This array contains external IP addresses to be deleted. |
Response Body
application/json
curl -X PUT "https://example.com/v1/load_balancers/l4/M7e5yBe2" \ -H "Content-Type: application/json" \ -d '{ "cluster_id": null, "shared_cluster": null, "name": "name1596", "store_logs": true, "store_logs_region_id": 0, "new_external_ips_count": 2, "delete_external_ips": [ "101.0.0.44" ], "vhost_zones": [ { "id": "name1597", "ports": [ 313 ], "udp": true, "proxy_protocol": true, "upstream_id": "name1598" } ], "upstream_zones": [ { "id": "name1598", "udp": true, "upstreams": [ { "ip": "10.0.8.4", "port": 314, "weight": 1 } ] } ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }'{ "id": "APdR6qdG", "name": "name1596", "type": "l4", "status": "in_process", "network_type": "public", "external_addresses": [], "internal_addresses": [], "location_id": 1625, "proxy_protocol_enabled": true, "store_logs": true, "vhost_zones": [ { "udp": true, "proxy_protocol": true, "id": "name1597", "ports": [ 313 ], "upstream_id": "name1598" } ], "upstream_zones": [ { "method": "random.least_conn", "hc_interval": 5, "hc_jitter": 5, "hc_fails": 1, "hc_passes": 3, "udp": true, "id": "name1598", "upstreams": [ { "ip": "10.0.8.4", "port": 314, "weight": 1, "max_conns": 63000, "max_fails": 0, "fail_timeout": 30, "status": "unknown" } ] } ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "cluster_id": null, "shared_cluster": true, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z"}